/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package test.runtime;



/**
 * @author Shen Li
 */
public abstract class FooDecorator implements Foo {
    public String anotherFoo() {
        return "FooDecorator.anotherFoo()" + getArrow() + foo() + "&" + getFoo().anotherFoo();
    }

    protected abstract Foo getFoo();

    protected abstract String getArrow();
}
